%This demo uses the speaker on the board to play a tune, while plotting the
%frequencies being played on a graph and switching the LED on and off
%alternately

load('musicNotes');

% Notes being used: G4 A4 G5 E5 F5 394.2 440 493.9 392 C4 D5]

% intro
notes = [G4 A4 G4 A4 G5 G4 G4 A4 A4 G5 G4 E5 G4 E5 G5 G4 G4 E5 E5 G5 G4 F5 G4 F5 G5 G4 G4 F5 E5 G5];
% first verse
notes2 = [G5 E5 F5 E5 D5 F5 G5 E5 F5 E5 D5 G4 G5];
% short scale, goes down at end
notes3 = [394.2 440 493.9 392];
% secondnd verse same speed & pause as the intro
notes4 = [G5 E5 G5 E5 D5 C4 G5 E5 D5 G5 E5 G5 E5 D5];
% slow
notes5 = [E5 G5];
% loops back to intro
% final note, double past long notes in section 5
notes6 = G5;
state = 1;

% intro
    for k = 1:30
    state = ~state;
    %sineSound(notes(k)/pitch, 0.2/speed);
    board.playTone('D3', notes(k)/pitch, 0.2/speed);
    pause(0.2/speed)    
    plot(1:k,notes(1:k)/pitch)
    hold on
    board.writePin('D7',state)
    
    end
    hold off
    
    
% first verse
    for k = 1:13
    state = ~state;
    %sineSound(notes2(k)/pitch, 0.2/speed);
    board.playTone('D3', notes2(k)/pitch, 0.2/speed);
    pause(0.2/speed)
    plot(1:k,notes2(1:k)/pitch)
    hold on
    board.writePin('D7',state)
    end
    hold off    
% short scale, goes down at end
    for k = 1:4
    state = ~state;
    %sineSound(notes3(k)/pitch, 0.5/speed);
    board.playTone('D3', notes3(k)/pitch, 0.5/speed);
    pause(0.5/speed)
    plot(1:k,notes3(1:k)/pitch)
    hold on
    board.writePin('D7',state)
    end
    hold off
% 2nd verse same speed & pause as the intro
    for k = 1:14
    state = ~state;
    %sineSound(notes4(k)/pitch, 0.2/speed);
    board.playTone('D3', notes4(k)/pitch, 0.2/speed);
    pause(0.2/speed)
    plot(1:k,notes4(1:k)/pitch)
    hold on
    board.writePin('D7',state)
    end
    hold off
% slow
    for k = 1:2
    state = ~state;
    %sineSound(notes5(k)/pitch, 1.5/speed);
    board.playTone('D3', notes5(k)/pitch, 1.5/speed);
    pause(1.5/speed)
    plot(1:k,notes5(1:k)/pitch)
    hold on
    board.writePin('D7',state)
    end
    hold off
% loops back to intro
    for k = 1:30
    state = ~state;
    %sineSound(notes(k)/pitch, 0.2/speed);
    board.playTone('D3', notes(k)/pitch, 0.2/speed);
    pause(0.2/speed)
    plot(1:k,notes(1:k)/pitch)
    hold on
    board.writePin('D7',state)
    end
    hold off
% final note, double past long notes in section 5
    for k = 1
    state = ~state;
    %sineSound(notes6(k)/pitch, 3/speed);
    board.playTone('D3', notes6(k)/pitch, 3/speed);
    pause(3/speed)
    plot(1:k,notes6(1:k)/pitch)
    hold on
    board.writePin('D7',state)
    end  
    hold off
    close all
