% Copyright 2014 - 2016 The MathWorks, Inc.
% This demo uses the proximity sensor as a musical instrument. It starts
% by playing a tune from the laptop and everytime you put your hand above 
% the proximity sensor it plays a frequency tone from the speaker on the
% board. So you can have a rhythm going.
board.Connect(4)

load thereminNotes

soundsc([song;song],2*Fs)

for K = 1:800
    
    v = board.readPin('A1')    
    
    if (v > 2)
        board.playTone('D3',600)
    end
    
end
